Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.gui
Enum GUIFS.Type

    java.lang.Object
      java.lang.Enum<GUIFS.Type>
          org.basex.gui.GUIFS.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GUIFS.Type>

Enclosing class:
  GUIFS

    public static enum GUIFS.Type

extends java.lang.Enum<GUIFS.Type>

File Types.

Enum Constant Summary
`IMAGE` Image Content.
`NONE` Unknown Content.
`TEXT` Textual Content.

Method Summary
`static GUIFS.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GUIFS.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMAGE

    public static final GUIFS.Type IMAGE

  Image Content.

### NONE

    public static final GUIFS.Type NONE

  Unknown Content.

### TEXT

    public static final GUIFS.Type TEXT

  Textual Content.

Method Detail

### valueOf

    public static GUIFS.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### values

    public static GUIFS.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GUIFS.Type c : GUIFS.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD